#!/usr/bin/env python3
# -*- coding: utf-8 -*-
"""Utility script to list all student assignment files after extracted to text.

:author: `David King <mailto:david.king@open.ac.uk>`_
:project: eSTEeM - Measuring Qualification Effects framework extended
:copyright: `2016-2018 The Open University <http://www.open.ac.uk>`_
:licence: `GPL v3 <http://www.gnu.org/licenses/>`_
"""


import fnmatch
import os

ROOTPATH = '../output/'
PATTERN = '*.txt'

FILES = []

for root, dirs, files in os.walk(ROOTPATH):
    for filename in fnmatch.filter(files, PATTERN):
        FILES.append(os.path.join(root, filename))

with open('all_txt_files.txt', 'w', encoding='utf-8', newline='\n') as fout:
    fout.write('\n'.join(FILES))
