#!/usr/bin/env python3
# -*- coding: utf-8 -*-
"""Extract text contents from files using LibreOffice.

:author: `David King <mailto:david.king@open.ac.uk>`_
:project: eSTEeM - Measuring Qualification Effects framework extended
:version: 1.0.0
:copyright: `2016-2018 The Open University <http://www.open.ac.uk>`_
:licence: `GPL v3 <http://www.gnu.org/licenses/>`_
"""


import glob
import os

from mqe_common import extract_text


def extract_text_from_other_formats(source_folder='../assignments/',
                                    pattern='**/*.doc'):
    """Extract the text content of every pattern file in source folder."""
    current_dir = os.getcwd()
    filenames = glob.iglob(os.path.join(source_folder, pattern), recursive=True)
    for filename in filenames:
        print('Converting {}'.format(filename), flush=True)
        if 'MACOSX' in filename:
            print('*** file not processed')
            continue
        print('{} {}'.format(source_folder, current_dir))
        extract_text(filename, current_dir)


if __name__ == '__main__':
    extract_text_from_other_formats()
    extract_text_from_other_formats(pattern='**/*.rtf')
