#!/usr/bin/env python3
# -*- coding: utf-8 -*-
"""HTML template texts used in the framework.

:author: `David King <mailto:david.king@open.ac.uk>`_
:project: eSTEeM - Measuring Qualification Effects framework
:version: 1.0.0
:copyright: `2016-2018 The Open University <http://www.open.ac.uk>`_
:licence: `GPL v3 <http://www.gnu.org/licenses/>`_
"""

PAGE_HEADER = '''<!DOCTYPE html>
<html>
<head>
<meta charset="utf-8">
<title>{}</title>
</head>
<body>
'''

PAGE_FOOTER = '''</body>
</html>
'''

TABLE_HEADER_2COLS = '''<table>
<tr>
<th>{}</th>
<th>{}</th>
</tr>
'''


TABLE_ROW_2COLS = '''<tr>
<td>{}</td>
<td>{}</td>
</tr>
'''

TABLE_ROW_KEYWORDS = '''<tr>
<td align=left>{:s}</td>
<td align=right>{:.8f}</td>
</tr>
'''

TABLE_HEADER_POSTS = '''<table>
<tr>
<th>Forum</th>
<th colspan=2>with</th>
<th colspan=2>without</th>
<th>Total posts</th>
</tr>
'''

TABLE_ROW_POSTS = '''<tr>
<td><a href="{}" target="_blank">{}</a></td>
<td align=right>{}</td>
<td align=right>{}%</td>
<td align=right>{}</td>
<td align=right>{}%</td>
<td align=right>{}</td>
</tr>
'''

TABLE_HEADER_UNIQUES = '''<table>
<tr>
<th align="left">Date</th>
<th align="left">Posts</th>
<th align="left">Users</th>
<th align="left">UserIDs</th>
</tr>
'''

TABLE_ROW_UNIQUES = '''<tr>
<td>{}</td>
<td align="right">{}</td>
<td align="right">{}</td>
<td>{}</td>
</tr>
'''

TABLE_FOOTER = '''
</table>
'''
