#!/usr/bin/env python3
# -*- coding: utf-8 -*-
"""Regular expressions used in the framework.

:author: `David King <mailto:david.king@open.ac.uk>`_
:project: eSTEeM - Measuring Qualification Effects framework
:version: 1.0.0
:copyright: `2016-2018 The Open University <http://www.open.ac.uk>`_
:licence: `GPL v3 <http://www.gnu.org/licenses/>`_
"""

import re

EXTRACT_WORDS = re.compile(r'\w+').findall
HAS_CITATION = re.compile(r'\[\d+\]').search
HAS_HTTP = re.compile(r'https?\:').search
HAS_REFERENCES = re.compile(r'\breferences\b', re.IGNORECASE).search
HAS_YEAR_REF = re.compile(r'\(\d{4}\)').search
GET_MA = re.compile(r'(EMA)|(TMA\d{2})').search
GET_MODULE_CODE = re.compile(r'\b[A-Z|a-z]{1,4}\d{3}\b').search
GET_PID = re.compile(r'[A-Z]\d{6}[A-Z|0-9]').search
GET_PRESENTATION_CODE = re.compile(r'\b\d{2}[A-M|a-m]\b').search
STRIP_TAGS = re.compile(r'<[^>]*>').sub
